<%= form_for(@task) do |f| %>
    
    <%= hidden_field_tag :authenticity_token, form_authenticity_token %>
    <% if @task.errors.any? %>
        <div id="error_explanation">
            <h2><%= pluralize(@task.errors.count, "error") %> prohibited this task from being saved:</h2>

            <ul>
            <% @task.errors.full_messages.each do |msg| %>
                <li><%= msg %></li>
            <% end %>
            </ul>
        </div>
    <% end %>

    <section class="modal-card-body">

        <div class="field">
            <%= text_field(:task, :title,:class => "input", :placeholder => "title") %>
        </div>
        <div class="field">
            <%= text_field(:task, :description, :class => "input", :placeholder => "description") %>
        </div>

        <div class="field">
            <%= text_field(:task, :link, :class => "input",:placeholder => "link") %>
        </div>

        <% if @task.id %>
            <div class="field">
                <%= text_field(:task, :feedback, :class => "input",:placeholder => "feedback") %>
            </div>

            <div class="field">
                <%=select(:task, :status, %w[development test])%>
            </div>
        <% end %>
        
        <div class="field">
            <%= datetime_local_field(:task, :end_time, :class => "input") %>
        </div>

    </section>

    <footer class="modal-card-foot">
        <% if @task.id %>
            <button type='submit' class="button is-success">update</button>
        <% else %>
            <button type='submit' class="button is-success">create</button>
            <a class="button" id="closeModal">Close</a>
        <% end %>
    </footer>
<% end %>
